## haskell-mersenne-random 1.0.0.1

=== tests/Makefile ===
all:
	ghc -O2 -ddump-simpl-stats -no-recomp Unit.hs --make
	./Unit
	ghc -O2 pi.hs --make
	./pi 10000000

hpc:
	ghc --make -i. -i../ -optc-DMEXP=19937 -optc-DNDEBUG -optc-O3 -optc-finline-functions -optc-fomit-frame-pointer -optc-fno-strict-aliasing -optc--param -optcmax-inline-insns-single=1800 -#include "SFMT.h" -package base-3.0.1.0 -package old-time-1.0.0.0 -O -Wall -O2 -fvia-C -XCPP -XForeignFunctionInterface -XBangPatterns Unit.hs -o Unit -fhpc -no-recomp  ../dist/build/cbits/SFMT.o -I../include

clean:
	rm -f *~ Unit *.hi *.o

=== debian/changelog ===
haskell-mersenne-random (1.0.0.1-5) unstable; urgency=low

  * Move Haskell blurb to the end of the description, reduces the impact
    of #708703

 -- Joachim Breitner <nomeata@debian.org>  Sat, 25 May 2013 23:52:29 +0200

haskell-mersenne-random (1.0.0.1-4) unstable; urgency=low

  * Enable compat level 9
  * Use substvars for Haskell description blurbs

 -- Joachim Breitner <nomeata@debian.org>  Fri, 24 May 2013 12:51:23 +0200

haskell-mersenne-random (1.0.0.1-3) experimental; urgency=low

  * Depend on haskell-devscripts 0.8.13 to ensure this packages is built
    against experimental
  * Bump standards version, no change

 -- Joachim Breitner <nomeata@debian.org>  Sun, 14 Oct 2012 12:01:31 +0200

haskell-mersenne-random (1.0.0.1-2) unstable; urgency=low

  * Sourceful upload to rebuild documentation package

 -- Iain Lane <laney@debian.org>  Wed, 08 Feb 2012 10:50:48 +0000

haskell-mersenne-random (1.0.0.1-1) unstable; urgency=low

  * Initial release.

 -- Clint Adams <clint@debian.org>  Sat, 15 Oct 2011 11:03:27 -0400

=== debian/control ===
Source: haskell-mersenne-random
Section: haskell
Priority: extra
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Clint Adams <clint@debian.org>
Build-Depends: debhelper (>= 9)
  , cdbs
  , haskell-devscripts (>= 0.8.15)
  , ghc
  , ghc-prof
Build-Depends-Indep: ghc-doc
Standards-Version: 3.9.4
Homepage: http://hackage.haskell.org/package/mersenne-random
Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-mersenne-random
Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-mersenne-random

Package: libghc-mersenne-random-dev
Architecture: any
Depends: ${haskell:Depends}
  , ${shlibs:Depends}
  , ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: SIMD Fast Mersenne Twister generator of pseudo-random numbers${haskell:ShortBlurb}
 The Mersenne twister is a pseudorandom number generator developed by Makoto
 Matsumoto and Takuji Nishimura that is based on a matrix linear recurrence
 over a finite binary field. It provides for fast generation of very
 high-quality pseudo-random numbers.
 .
 This library uses SFMT, the SIMD-oriented Fast Mersenne Twister, a variant
 of Mersenne Twister that is much faster than the original.
 .
 By default the period of the function is 2^19937-1. Note that this algorithm
 on its own is not cryptographically secure.
 .
 ${haskell:Blurb}

Package: libghc-mersenne-random-prof
Architecture: any
Depends: ${haskell:Depends}
  , ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: SIMD Fast Mersenne Twister generator of pseudo-random numbers${haskell:ShortBlurb}
 The Mersenne twister is a pseudorandom number generator developed by Makoto
 Matsumoto and Takuji Nishimura that is based on a matrix linear recurrence
 over a finite binary field. It provides for fast generation of very
 high-quality pseudo-random numbers.
 .
 This library uses SFMT, the SIMD-oriented Fast Mersenne Twister, a variant
 of Mersenne Twister that is much faster than the original.
 .
 By default the period of the function is 2^19937-1. Note that this algorithm
 on its own is not cryptographically secure.
 .
 ${haskell:Blurb}

Package: libghc-mersenne-random-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${haskell:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Description: SIMD Fast Mersenne Twister generator of pseudo-random numbers${haskell:ShortBlurb}
 The Mersenne twister is a pseudorandom number generator developed by Makoto
 Matsumoto and Takuji Nishimura that is based on a matrix linear recurrence
 over a finite binary field. It provides for fast generation of very
 high-quality pseudo-random numbers.
 .
 This library uses SFMT, the SIMD-oriented Fast Mersenne Twister, a variant
 of Mersenne Twister that is much faster than the original.
 .
 By default the period of the function is 2^19937-1. Note that this algorithm
 on its own is not cryptographically secure.
 .
 ${haskell:Blurb}

=== debian/watch ===
version=3
opts="downloadurlmangle=s|archive/([\w\d_-]+)/([\d\.]+)/|archive/$1/$2/$1-$2.tar.gz|,\
filenamemangle=s|(.*)/$|mersenne-random-$1.tar.gz|" \
    http://hackage.haskell.org/packages/archive/mersenne-random \
    ([\d\.]*\d)/
